## blackbox 1.0

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.0
Date: 2016-04-14
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Leblois", "Raphaël",role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-2), proxy, spaMM (>= 1.7.2),
        gplots, lattice, Rcpp, nloptr
LinkingTo: Rcpp, RcppEigen,
Suggests: testthat, ff, minqa, lbfgsb3
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. blackbox includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2016-04-14 14:42:45 UTC; rousset
Author: François Rousset [aut, cre, cph],
  Leblois Raphaël [ctb]
Repository: CRAN
Date/Publication: 2016-04-14 18:19:31

## blackbox 0.65.0-1.2

=== debian/changelog ===
blackbox (0.65.0-1.2) unstable; urgency=low

  * Non Maintainer Upload
  * Patch by Matt Kraai to solve FTBFS: Closes: #208814.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Wed, 15 Oct 2003 15:38:53 +0300

blackbox (0.65.0-1.1) unstable; urgency=low

  * Non Maintainer Upload
  * Include <cassert> in src/Window.cc (Closes: #196245)

 -- David Pashley <david@davidpashley.com>  Tue, 15 Jul 2003 16:36:04 +0200

blackbox (0.65.0-1) unstable; urgency=low

  * new upstream release
  * now has man pages for all binaries, closes: #93427
  * newer version of bsetbg behaves much better, closes: #109606
  * tilde expansion in blackboxrc and menus is now supported, closes: #139330

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 18 Sep 2002 11:02:00 -0700

blackbox (0.65.0-0.pre1) unstable; urgency=low

  * temporary deb

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri,  6 Sep 2002 19:33:37 -0700

blackbox (0.62.1-1) unstable; urgency=low

  * new upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 30 Jan 2002 22:17:06 -0800

blackbox (0.62.0-1) unstable; urgency=low

  * new upstream
  * I am now the upstream (-:
  * upstream fixes these, Closes: #72254, #103909, #116767
  * Documented update-menu and blackbox behaviour (closes: #117386)
  * Added README.menu and .style (closes: #81008)
  * removed empty dir (closes: #78777)

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sat, 19 Jan 2002 11:22:06 -0800

blackbox (0.61.1-1.1) unstable; urgency=low

  * NMU
  * Fix unsafe temp files in bsetbg.  Closes: #102126
  * Add class key as needed, printf is a macro as of gcc 3.0.  Closes: #105452

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sun, 15 Jul 2001 23:29:46 -0600

blackbox (0.61.1-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  9 Oct 2000 10:10:31 -0700

blackbox (0.61.0-3) unstable; urgency=low

  * Changed menu-method to call x-terminal-emulator instead of xterm
  * Closes: #71981

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 20 Sep 2000 11:41:45 -0700

blackbox (0.61.0-2) unstable; urgency=low

  * removed echo from the postinst

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 31 Aug 2000 11:35:39 -0700

blackbox (0.61.0-1) unstable; urgency=low

  * New upstream

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 18 Aug 2000 13:29:31 -0700

blackbox (0.61.0.20000806-1) unstable; urgency=low

  * New upstream

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  7 Aug 2000 10:19:22 -0700

blackbox (0.61.0.20000726-2) unstable; urgency=low

  * Oops, forgot to re-run autofriends

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 26 Jul 2000 16:39:15 -0700

blackbox (0.61.0.20000726-1) unstable; urgency=low

  * New upstream beta

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed, 26 Jul 2000 13:10:07 -0700

blackbox (0.60.3-5) unstable; urgency=low

  * Fix for improper quoting of rootCommand

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 20 Jul 2000 21:41:11 -0700

blackbox (0.60.3-4) unstable; urgency=low

  * Bug fix release
  * added a CXXFLAGS setting to the rules file.  This makes blackbox smaller
    and faster.
  * Closes: #45298, #55305, #61552, #64615, #64773, #64851, #64969

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 18 Jul 2000 13:01:43 -0700

blackbox (0.60.3-3) unstable; urgency=low

  * Oops, left the stylesmenu file

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sat, 27 May 2000 19:40:41 -0700

blackbox (0.60.3-2) unstable; urgency=low

  * Oops, left a call to update-bbstyles

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 26 May 2000 16:12:27 -0700

blackbox (0.60.3-1) unstable; urgency=low

  * New upstream release
  * Changed user style menu to look in ~/.blackbox/styles to match
    current practice among style authors
  * Cleaned up menu-method script and thus the resulting menu file it
    generates

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 26 May 2000 12:08:34 -0700

blackbox (0.60.2-2) unstable; urgency=low

  * Removed update-styles

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 14:02:15 -0700

blackbox (0.60.2-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 12:55:42 -0700

blackbox (0.60.0.alpha-2) unstable; urgency=low

  * New maintainer

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 11:50:49 -0700

blackbox (0.60.0.alpha-1) unstable; urgency=low

  * The Alpha release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 April 2000 13:32:08 -0800

=== debian/control ===
Source: blackbox
Section: x11
Priority: optional
Build-Depends: xlibs-dev, debhelper, autoconf
Maintainer: Sean 'Shaleh' Perry <shaleh@debian.org>
Standards-Version: 3.5.0

Package: blackbox
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-window-manager
Suggests: menu (>=1.5)
Description: Window manager for X 
 This is a window manager for X.  It is similar in many respects to
 such popular packages as Window Maker, Enlightenment, and FVWM2.  You
 might be interested in this package if you are tired of window managers
 that are a heavy drain on your system resources, but you still want
 an attractive and modern-looking interface.
 .
 The best part of all is that this program is coded in C++, so it
 is even more attractive "under the hood" than it is in service -- no
 small feat.
 .
 If none of this sounds familiar to you, or you want your computer to
 look like Microsoft Windows or Apple's OS X, you probably don't want
 this package.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=blackbox

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="-O2 -fno-rtti -fno-exceptions -fno-check-new" ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/X11/blackbox
	
	# Add here commands to compile the package.
	$(MAKE) DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean
	

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	# make install places a menu here, but we don't want it
	rm -f `pwd`/debian/tmp/usr/share/blackbox/menu

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## blackbox 0.70.1

=== debian/changelog ===
blackbox (0.70.1-40) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright:
      - Added packaging rights for Håvard F. Aasen.
      - Converted the last paragraph of the GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/rules: replaced override_dh_install with execute_after_dh_install.
  * debian/watch:
      - Migrated to version 5.
      - Added Uversionmangle line to strip the _SL7.0 suffix, which refers to a
        Slackware-specific build and not an upstream release. (Closes: #964479)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Jan 2026 16:54:35 -0300

blackbox (0.70.1-39) unstable; urgency=medium

  * QA upload.
  * d/gbp.conf: Specify branch, debian/master
  * d/not-installed: Exclude *.la files from all architectures.
  * Add 120_include-ctime-header.patch. Closes: #1016273
  * autopkgtest:
    - Remove test that runs in the background.
    - Add 'superficial' to the remaining two tests.
  * d/control:
    - Bump debhelper to 13.
    - Update Standards-Version to 4.6.1
  * d/lintian-overrides: It seems that lintian can't find this typo, removing.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 29 Jul 2022 23:01:51 +0200

blackbox (0.70.1-38) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright names and years.
  * debian/libbt0.symbols: added 'Build-Depends-Package:' line.
  * debian/lintian-overrides: created to override a false positive.
  * debian/not-installed: created to list a .la file not installed.
  * debian/patches/:
      - Added serial numbers for all patches.
      - Created 110_fix-spelling.patch to fix a spelling error in manpage.
      - Using suffix 'patch' for all patches.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.
  * debian/watch: bumped version to 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.
  * Use secure URI in debian/watch.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Mar 2020 00:04:44 -0300

blackbox (0.70.1-37) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    + Replace empty homepage with development site on sf.net.
    + Update Vcs-* fields to use git packaging repo on salsa.d.o.
  * debian/patches: Add patch to fix crash with certain apps that
    disable minimize/maximize. (Closes: #600968)
  * debian/libbt0.symbols: Update symbols caused by the patch
    accordingly.
  * debian/changelog: Remove trailing spaces.
  * debian/copyright: Update Homepage and use secure URI.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Jul 2019 15:01:26 -0400

blackbox (0.70.1-36) unstable; urgency=medium

  * QA upload.
  * Use the default gcc. (Closes: #892391)
  * Remove autoreconf/parallel that are default with dh compat 10.
  * debian/patches/bsetbg-bash-shebang.diff: Fix a metadata typo.

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 21:08:32 +0200

blackbox (0.70.1-35) unstable; urgency=medium

  * QA upload.
  * Revert package rename for g++5 ABI transition, since the affected symbols
    were not part of the ABI; Provide: the renamed package for compatibility,
    and Conflicts/Replaces the old package. These changes can be dropped after
    Buster is released.
  * Bump Standards-version to 4.1.1, no changes needed.
  * Bump debhelper compat to 10.
  * Remove Suggests on bbkeys (Closes: #820606).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 08 Nov 2017 22:29:13 -0600

blackbox (0.70.1-34) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 28 Jun 2016 14:12:31 -0300

blackbox (0.70.1-33) experimental; urgency=medium

  * QA upload.
  * debian/libbt0v5.symbols:
      - some more lines were removed. About bug #811970 once more.
  * debian/rules:
      - an override for dh_makeshlibs was added. To set a version for
        generated symbols without a Debian revision.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 27 Jun 2016 17:07:58 -0300

blackbox (0.70.1-32) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - gcc-6 and g++-6 added to Build-Depends field.
  * debian/rules:
      - setting CC and CXX to build with gcc-6/g++-6. And
        test in all architectures. The previous version was
        a local test.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 27 Jun 2016 11:42:56 -0300

blackbox (0.70.1-31) experimental; urgency=medium

  * QA upload
  * debian/copyright updated.
  * debian/control:
      - Standards-Version from 3.9.6 to 3.9.8.
      - Vcs-* fields updated and using 'https'.
  * debian/libbt0v5.symbols:
      - some lines were removed. FTBFS (Closes: #811970).
  * debian/rules:
      - hardening=+all added.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 26 Jun 2016 12:11:31 -0300

blackbox (0.70.1-30) unstable; urgency=medium

  * QA upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.
  * Update symbols files for g++5 ABI. (Closes: #790229)

  [ Sebastian Ramacher ]
  * debian/rules:
    - Clean up flags passed to configure. Most of them are passed twice.
    - Use dh-autoreconf.
  * debian/control: B-D on dh-autoreconf.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Aug 2015 19:46:50 +0200

blackbox (0.70.1-29) unstable; urgency=medium

  * QA upload.
  * Merge all symbol files into one generic file (Closes: #788555).

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 12 Jun 2015 19:28:56 +0100


=== debian/control ===
Source: blackbox
Section: x11
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libxext-dev,
               libxft-dev,
               libxt-dev
Standards-Version: 4.7.3
Homepage: https://sourceforge.net/projects/blackboxwm/
Vcs-Git: https://salsa.debian.org/debian/blackbox.git
Vcs-Browser: https://salsa.debian.org/debian/blackbox

Package: blackbox
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-window-manager
Suggests: menu (>=1.5)
Description: Window manager for X
 This is a window manager for X.  It is similar in many respects to
 such popular packages as Window Maker, Enlightenment, and FVWM2.  You
 might be interested in this package if you are tired of window managers
 that are a heavy drain on your system resources, but you still want
 an attractive and modern-looking interface.
 .
 The best part of all is that this program is coded in C++, so it
 is even more attractive "under the hood" than it is in service -- no
 small feat.
 .
 If none of this sounds familiar to you, or you want your computer to
 look like Microsoft Windows or Apple's OS X, you probably don't want
 this package.

Package: libbt-dev
Section: libdevel
Architecture: any
Depends: libbt0 (= ${binary:Version}), libxft-dev, libxt-dev, ${misc:Depends}
Multi-Arch: same
Description: Blackbox - development library
 This is a window manager for X.  It is similar in many respects to
 such popular packages as Window Maker, Enlightenment, and FVWM2.  You
 might be interested in this package if you are tired of window managers
 that are a heavy drain on your system resources, but you still want
 an attractive and modern-looking interface.
 .
 The best part of all is that this program is coded in C++, so it
 is even more attractive "under the hood" than it is in service -- no
 small feat.
 .
 If none of this sounds familiar to you, or you want your computer to
 look like Microsoft Windows or Apple's OS X, you probably don't want
 this package.
 .
 This package contains the development library libbt0

Package: libbt0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libbt0v5
Replaces: libbt0v5
Provides: libbt0v5
Description: Blackbox - shared library
 This is a window manager for X.  It is similar in many respects to
 such popular packages as Window Maker, Enlightenment, and FVWM2.  You
 might be interested in this package if you are tired of window managers
 that are a heavy drain on your system resources, but you still want
 an attractive and modern-looking interface.
 .
 The best part of all is that this program is coded in C++, so it
 is even more attractive "under the hood" than it is in service -- no
 small feat.
 .
 If none of this sounds familiar to you, or you want your computer to
 look like Microsoft Windows or Apple's OS X, you probably don't want
 this package.
 .
 This package contains the shared library libbt0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)

confflags := \
				--enable-shared \
				$(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	$(MAKE) DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu

execute_after_dh_install:
	rm -f $(CURDIR)/debian/blackbox/usr/share/blackbox/menu

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

=== debian/watch ===
Version: 5

# Uversionmagle explained:
# The _SL7.0 tarball is not an upstream release. It is a Slackware 7–specific
# snapshot containing build artifacts and a few local compatibility changes,
# generated after running configure and make.
#
# The correct upstream source for Blackbox is version 0.70.1 (released in 2005).

Source: https://sf.net/blackboxwm/
Matching-Pattern: blackbox-(\d+\.\S+)\.tar\.(?:gz|bz2|xz)
Uversionmangle: s/_SL7.0//

## blackbox 1.0.8

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.0.8
Date: 2016-05-25
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Leblois", "Raphaël",role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 1.7.2),
        gplots, lattice, Rcpp, nloptr
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, ff, minqa, lbfgsb3, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2016-05-25 15:57:04 UTC; rousset
Author: François Rousset [aut, cre, cph],
  Leblois Raphaël [ctb]
Repository: CRAN
Date/Publication: 2016-05-25 18:13:42

## blackbox 1.0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: blackbox
 Title: Black Box Optimization and Exploration of Parameter Space
 Encoding: UTF-8
-Version: 1.0.8
+Version: 1.0.8.1
 Date: 2016-05-25
 Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                      email = "francois.rousset@umontpellier.fr"),
@@ -17,8 +17,8 @@
 URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
 LazyData: TRUE
 NeedsCompilation: yes
-Packaged: 2016-05-25 15:57:04 UTC; rousset
+Packaged: 2016-07-10 11:33:21 UTC; ripley
 Author: François Rousset [aut, cre, cph],
   Leblois Raphaël [ctb]
 Repository: CRAN
-Date/Publication: 2016-05-25 18:13:42
+Date/Publication: 2016-07-10 15:39:41

## blackbox 1.0.18

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.0.18
Date: 2017-02-02
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Raphaël","Leblois", role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 1.7.2),
        lattice, Rcpp, nloptr, MASS
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, ff, minqa, lbfgsb3, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2017-02-02 16:13:51 UTC; rousset
Author: François Rousset [aut, cre, cph],
  Raphaël Leblois [ctb]
Repository: CRAN
Date/Publication: 2017-02-03 00:21:04

## blackbox 1.1.0

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.0
Date: 2017-07-05
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Raphaël","Leblois", role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 1.7.2),
        lattice, Rcpp, nloptr, MASS
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, ff, minqa, lbfgsb3, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2017-07-07 05:47:18 UTC; hornik
Author: François Rousset [aut, cre, cph],
  Raphaël Leblois [ctb]
Repository: CRAN
Date/Publication: 2017-07-07 07:47:27

## blackbox 1.1.2

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.2
Date: 2017-08-27
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Raphaël","Leblois", role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 1.7.2),
        lattice, Rcpp, nloptr, MASS
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, ff, minqa, lbfgsb3, igraph, foreach
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2017-09-05 15:19:47 UTC; Francois.rousset
Author: François Rousset [aut, cre, cph],
  Raphaël Leblois [ctb]
Repository: CRAN
Date/Publication: 2017-09-05 20:19:51 UTC

## blackbox 1.1.7

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.7
Date: 2017-11-11
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Raphaël","Leblois", role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 1.7.2),
        lattice, Rcpp (>= 0.12.10), nloptr, MASS
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, ff, minqa, lbfgsb3, igraph, foreach
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (Rousset and Leblois, 2012 <doi:10.1093/molbev/MSR262>; Leblois et al., 2014 <doi:10.1093/molbev/msu212>; and see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2017-11-03 10:27:14 UTC; Francois.rousset
Author: François Rousset [aut, cre, cph],
  Raphaël Leblois [ctb]
Repository: CRAN
Date/Publication: 2017-11-03 12:17:29 UTC

## blackbox 1.1.25

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.25
Date: 2018-06-08
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                     email = "francois.rousset@umontpellier.fr"),
                     person("Raphaël","Leblois", role="ctb"))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 2.4.8),
        lattice, Rcpp (>= 0.12.10), nloptr, MASS, pbapply, foreach
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, minqa, lbfgsb3, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (Rousset and Leblois, 2012 <doi:10.1093/molbev/MSR262>; Leblois et al., 2014 <doi:10.1093/molbev/msu212>; and see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
ByteCompile: true
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2018-06-08 10:51:11 UTC; Francois.rousset
Author: François Rousset [aut, cre, cph],
  Raphaël Leblois [ctb]
Repository: CRAN
Date/Publication: 2018-06-08 17:23:03 UTC

## blackbox 1.1.27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Package: blackbox
 Title: Black Box Optimization and Exploration of Parameter Space
 Encoding: UTF-8
-Version: 1.1.25
-Date: 2018-06-08
+Version: 1.1.27
+Date: 2019-08-20
 Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
-                     email = "francois.rousset@umontpellier.fr"),
-                     person("Raphaël","Leblois", role="ctb"))
+                       email = "francois.rousset@umontpellier.fr",
+                       comment = c(ORCID = "0000-0003-4670-0371")),
+                     person("Raphaël","Leblois", role="ctb",
+                     comment = c(ORCID = "0000-0002-3051-4497")))
 Maintainer: François Rousset <francois.rousset@umontpellier.fr>
 Depends: R (>= 3.1.0)
 Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 2.4.8),
@@ -18,8 +20,9 @@
 URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
 LazyData: TRUE
 NeedsCompilation: yes
-Packaged: 2018-06-08 10:51:11 UTC; Francois.rousset
-Author: François Rousset [aut, cre, cph],
-  Raphaël Leblois [ctb]
+Packaged: 2019-08-20 15:29:19 UTC; Francois.rousset
+Author: François Rousset [aut, cre, cph]
+    (<https://orcid.org/0000-0003-4670-0371>),
+  Raphaël Leblois [ctb] (<https://orcid.org/0000-0002-3051-4497>)
 Repository: CRAN
-Date/Publication: 2018-06-08 17:23:03 UTC
+Date/Publication: 2019-08-20 17:00:02 UTC

## blackbox 1.1.32

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.32
Date: 2020-04-20
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                       email = "francois.rousset@umontpellier.fr",
                       comment = c(ORCID = "0000-0003-4670-0371")),
                     person("Raphaël","Leblois", role="ctb",
                     comment = c(ORCID = "0000-0002-3051-4497")))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 3.1.0),
        lattice, Rcpp (>= 0.12.10), nloptr, MASS, pbapply, foreach
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, minqa, lbfgsb3c, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (Rousset and Leblois, 2012 <doi:10.1093/molbev/MSR262>; Leblois et al., 2014 <doi:10.1093/molbev/msu212>; and see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
ByteCompile: true
URL: http://kimura.univ-montp2.fr/~rousset/Migraine.htm
LazyData: TRUE
NeedsCompilation: yes
Packaged: 2020-04-20 15:14:42 UTC; francois.rousset
Author: François Rousset [aut, cre, cph]
    (<https://orcid.org/0000-0003-4670-0371>),
  Raphaël Leblois [ctb] (<https://orcid.org/0000-0002-3051-4497>)
Repository: CRAN
Date/Publication: 2020-04-20 16:00:02 UTC

## blackbox 1.1.43

=== DESCRIPTION ===
Package: blackbox
Title: Black Box Optimization and Exploration of Parameter Space
Encoding: UTF-8
Version: 1.1.43
Date: 2023-05-01
Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                       email = "francois.rousset@umontpellier.fr",
                       comment = c(ORCID = "0000-0003-4670-0371")),
                     person("Raphaël","Leblois", role="ctb",
                     comment = c(ORCID = "0000-0002-3051-4497")))
Maintainer: François Rousset <francois.rousset@umontpellier.fr>
Depends: R (>= 3.1.0)
Imports: numDeriv, rcdd, geometry (>= 0.3-6), proxy, spaMM (>= 3.1.0),
        lattice, Rcpp (>= 0.12.10), nloptr, MASS, pbapply, foreach,
        matrixStats
LinkingTo: Rcpp, RcppEigen
Suggests: testthat, minqa, lbfgsb3c, igraph
Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (Rousset and Leblois, 2012 <doi:10.1093/molbev/MSR262>; Leblois et al., 2014 <doi:10.1093/molbev/msu212>; and see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
License: CeCILL-2
ByteCompile: true
URL: https://kimura.univ-montp2.fr/~rousset/Migraine.htm
NeedsCompilation: yes
Packaged: 2023-05-01 19:12:22 UTC; francois.rousset
Author: François Rousset [aut, cre, cph]
    (<https://orcid.org/0000-0003-4670-0371>),
  Raphaël Leblois [ctb] (<https://orcid.org/0000-0002-3051-4497>)
Repository: CRAN
Date/Publication: 2023-05-03 07:30:06 UTC

## blackbox 1.1.46

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: blackbox
 Title: Black Box Optimization and Exploration of Parameter Space
 Encoding: UTF-8
-Version: 1.1.43
-Date: 2023-05-01
+Version: 1.1.46
+Date: 2023-12-08
 Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                        email = "francois.rousset@umontpellier.fr",
                        comment = c(ORCID = "0000-0003-4670-0371")),
@@ -20,9 +20,9 @@
 ByteCompile: true
 URL: https://kimura.univ-montp2.fr/~rousset/Migraine.htm
 NeedsCompilation: yes
-Packaged: 2023-05-01 19:12:22 UTC; francois.rousset
+Packaged: 2023-12-08 00:45:16 UTC; francois.rousset
 Author: François Rousset [aut, cre, cph]
     (<https://orcid.org/0000-0003-4670-0371>),
   Raphaël Leblois [ctb] (<https://orcid.org/0000-0002-3051-4497>)
 Repository: CRAN
-Date/Publication: 2023-05-03 07:30:06 UTC
+Date/Publication: 2023-12-08 03:20:11 UTC

## blackbox 1.1.54

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: blackbox
 Title: Black Box Optimization and Exploration of Parameter Space
 Encoding: UTF-8
-Version: 1.1.46
-Date: 2023-12-08
+Version: 1.1.54
+Date: 2026-03-01
 Authors@R: c(person("François", "Rousset", role = c("aut", "cre", "cph"),
                        email = "francois.rousset@umontpellier.fr",
                        comment = c(ORCID = "0000-0003-4670-0371")),
@@ -18,11 +18,12 @@
 Description: Performs prediction of a response function from simulated response values, allowing black-box optimization of functions estimated with some error. Includes a simple user interface for such applications, as well as more specialized functions designed to be called by the Migraine software (Rousset and Leblois, 2012 <doi:10.1093/molbev/MSR262>; Leblois et al., 2014 <doi:10.1093/molbev/msu212>; and see URL). The latter functions are used for prediction of likelihood surfaces and implied likelihood ratio confidence intervals, and for exploration of predictor space of the surface. Prediction of the response is based on ordinary Kriging (with residual error) of the input. Estimation of smoothing parameters is performed by generalized cross-validation.
 License: CeCILL-2
 ByteCompile: true
-URL: https://kimura.univ-montp2.fr/~rousset/Migraine.htm
+URL: https://gitlab.mbb.univ-montp2.fr/francois/blackbox;
+        https://gitlab.mbb.univ-montp2.fr/francois/migraine
 NeedsCompilation: yes
-Packaged: 2023-12-08 00:45:16 UTC; francois.rousset
-Author: François Rousset [aut, cre, cph]
-    (<https://orcid.org/0000-0003-4670-0371>),
-  Raphaël Leblois [ctb] (<https://orcid.org/0000-0002-3051-4497>)
+Packaged: 2026-03-01 01:47:15 UTC; francois.rousset
+Author: François Rousset [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0003-4670-0371>),
+  Raphaël Leblois [ctb] (ORCID: <https://orcid.org/0000-0002-3051-4497>)
 Repository: CRAN
-Date/Publication: 2023-12-08 03:20:11 UTC
+Date/Publication: 2026-03-01 06:10:58 UTC
